searchData={"items":[{"type":"module","title":"OpentelemetryLoggerMetadata","doc":"Adds OpenTelemetry trace identifiers to logs.\n\nIn your application start:\n\n```elixir\n    def start(_type, _args) do\n      OpenTelemetry.register_application_tracer(:my_project)\n      OpentelemetryLoggerMetadata.setup()\n\n      # ...\n    end\n```","ref":"OpentelemetryLoggerMetadata.html"},{"type":"function","title":"OpentelemetryLoggerMetadata.setup/0","doc":"","ref":"OpentelemetryLoggerMetadata.html#setup/0"},{"type":"extras","title":"OpentelemetryLoggerMetadata","doc":"# OpentelemetryLoggerMetadata\n\nAdds OpenTelemetry trace identifiers to logs.","ref":"readme.html"},{"type":"extras","title":"Installation - OpentelemetryLoggerMetadata","doc":"#","ref":"readme.html#installation"},{"type":"extras","title":"Elixir - OpentelemetryLoggerMetadata","doc":"The package can be installed by adding `opentelemetry_logger_metadata` to your\nlist of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:opentelemetry_logger_metadata, \"~> 0.2.0\"}\n  ]\nend\n```\n\nIn your application start:\n\n```elixir\n    def start(_type, _args) do\n      OpenTelemetry.register_application_tracer(:my_project)\n      OpentelemetryLoggerMetadata.setup()\n\n      # ...\n    end\n```\n\n#","ref":"readme.html#elixir"},{"type":"extras","title":"Erlang - OpentelemetryLoggerMetadata","doc":"The package can be installed by adding `opentelemetry_logger_metadata` to your\nlist of dependencies:\n\n```\n  {deps, [{opentelemetry_logger_metadata, \"~> 0.2.0\"}]}.\n```\n\nIn your application start:\n\n```erlang\n  opentelemetry_logger_metadata:setup()\n```\n\nor setup the logging filter yourself:\n\n```erlang\n  logger:add_primary_filter(opentelemetry_logger_metadata, {fun opentelemetry_logger_metadata:filter/2, []}),\n```","ref":"readme.html#erlang"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}